@charset "utf-8";

* {
    margin: 0;
    padding: 0;
}

:root {
    --white: #ffffff;
    --black: #000000;
    --yellow-dark: #E3E12B;
    --yellow-clear: #FFFF89;
    --ty: #ffcc0f;


    --seasalt: #f8f9faff;
    --antiflash-white: #e9ecefff;
    --platinum: #dee2e6ff;
    --french-gray: #ced4daff;
    --french-gray-2: #adb5bdff;
    --slate-gray: #6c757dff;
    --outer-space: #495057ff;
    --onyx: #343a40ff;
    --light: #f9f9f9;
}

body {
    width: 100%;
    /* background-color: var(--antiflash-white); */
    /* background-color: #F9F9F9; */
    background-color: #eeeeee;
    /* background-color: #f9f7fe; */
}

.container-login {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container-login>.content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 330px;
    background-color: #ffffff;
    /* box-shadow: 1px 1px 5px #7f7f7f3e; */
    border-radius: 5px;
    padding: 20px 0;
    border: 1px solid #ddd;
}

form {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    background-color: #ffffff;
}

form .input-container {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 15px;
    background-color: #ffffff;
}



form>.input-container>.user {
    width: 70%;
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.input-wrapper {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    background-color: #ffffff;
    border: 1px solid var(--french-gray);
    border-radius: 3px;
}

.input-wrapper img {
    position: absolute;
    left: 0px;
    width: 17px;
    height: 45%;
    padding: 10px;
    background-color: transparent;
    outline: none;
    border: none;
}
.input-wrapper svg {
    position: absolute;
    left: 0px;
    width: 17px;
    height: 45%;
    padding: 10px;
    background-color: transparent;
    outline: none;
    border: none;
}

.input-wrapper input {
    width: 100%;
    padding: 10px 10px 10px 35px;
    outline: none;
    border: none;
    background-color: #ffffff;
    border-radius: 3px;
    font-size: 14px;
}

.input-wrapper input:focus {

    border: 1px solid var(--yellow-clear);
    box-shadow: 0 0 1px var(--yellow-clear);
}

form>button {
    border: none;
    outline: none;
    background-color: #ffcb0f89;
    width: 150px;
    height: 30px;
    border-radius: 3px;
    cursor: pointer;
    transition-duration: .4s;
}

button:hover {
    background-color: var(--ty);
}

.error-message {
    padding: 5px;
    background-color: #f9dadc;
    color: #d92632;
    border-radius: 5px;
    font-size: 10px;
}


img {
    width: 70%;
    border-radius: 1%;
    border: 1px solid #ddd;
}

.system-name {
    font-size: 1.5rem;
    font-weight: bold;
    text-align: center;
    margin-bottom: 10px;
    color: #706f6f;
    background-color: #ffffff;
}

.logo {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
    border-radius: 10%;
    background-color: #ffffff;
}

.esqueceu-senha {
    width: 100%;
    background-color: transparent;
    display: flex;
    justify-content: right;
}

div.esqueceu-senha a {
    text-decoration: none;
    font-size: 12px;
    margin-right: 15%;
    background-color: transparent;
    /* font-style: italic; */
}

.toggle-password {

    position: absolute;
    left: 85%;
    margin-bottom: 20px;
    width: 20px;
    height: 50%;
    padding: 10px;
    background-color: transparent;
    outline: none;
    border: none;

}
